Update Livestream
curl -X PUT "https://api.videograph.ai/video/services/api/v1/livestreams/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Basic YOUR_CREDENTIALS" \
-d '{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"dvrDurationInMins": 42,
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
]
}'
import requests
import json
url = "https://api.videograph.ai/video/services/api/v1/livestreams/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
}
data = {
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"dvrDurationInMins": 42,
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
]
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.videograph.ai/video/services/api/v1/livestreams/example_string", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
},
body: JSON.stringify({
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"dvrDurationInMins": 42,
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"dvrDurationInMins": 42,
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
]
}`)
req, err := http.NewRequest("PUT", "https://api.videograph.ai/video/services/api/v1/livestreams/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.videograph.ai/video/services/api/v1/livestreams/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'
request.body = '{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"dvrDurationInMins": 42,
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
]
}'
response = http.request(request)
puts response.body
{}
/video/services/api/v1/livestreams/{STREAM_ID}Target server for requests. Edit to use your own host.
Username for basic authentication
Password for basic authentication
The media type of the request body
Livestream title/name
Livestream description
Indicates the dvr duration to be availbale during playback
Livestream metadata as keyvalue pair
Request Preview
Response
Response will appear here after sending the request
Authentication
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
Path Parameters
Body
Livestream title/name
Livestream description
Indicates the dvr duration to be availbale during playback
Livestream metadata as keyvalue pair
Responses
Successful response